List
curl --request GET \
--url https://{defaultHost}/v1/shipments \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/shipments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/shipments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/shipments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{defaultHost}/v1/shipments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/shipments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/shipments"
},
"data": [
{
"id": "eb20be54-f36a-4db8-b02c-b131ebeb223a",
"object": "shipment",
"carrier": null,
"carrier_messages": [],
"contact_validations": null,
"dimensions": {
"length": 10,
"width": 8,
"height": 5,
"unit": "in"
},
"customs_declaration": null,
"international": false,
"customs_required": false,
"eta": null,
"inherit_weight": false,
"label_file_type": "PDF",
"label_url": null,
"live_mode": true,
"rates": [],
"selected_rate": null,
"shipping_date": 1793750400,
"status": "draft",
"tracking_number": null,
"tracking_status": null,
"tracking_url": null,
"weight": "2.0",
"weight_unit": "lb",
"carrier_parcel_template_token": null,
"from_contact": "1104bcc2-a64a-4e6c-9304-8d33ef8b7943",
"fulfillment": "9fbb9ea1-a881-471f-abdb-07e5a3b6975c",
"parcel_template": null,
"shipping_provider": "bacd03ab-c350-4d1c-a44b-b50df7179fa9",
"to_contact": "bf0b7ea7-fabe-4fa9-a9c1-c3c3962db116",
"created_at": 1793796989,
"updated_at": 1793796989
}
]
}Shipments
List
Returns a list of your shipments.
GET
/
v1
/
shipments
List
curl --request GET \
--url https://{defaultHost}/v1/shipments \
--header 'Authorization: Bearer <token>'import requests
url = "https://{defaultHost}/v1/shipments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{defaultHost}/v1/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{defaultHost}/v1/shipments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{defaultHost}/v1/shipments"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{defaultHost}/v1/shipments")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{defaultHost}/v1/shipments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"object": "list",
"pagination": {
"count": 1,
"limit": 20,
"page": 1,
"url": "/v1/shipments"
},
"data": [
{
"id": "eb20be54-f36a-4db8-b02c-b131ebeb223a",
"object": "shipment",
"carrier": null,
"carrier_messages": [],
"contact_validations": null,
"dimensions": {
"length": 10,
"width": 8,
"height": 5,
"unit": "in"
},
"customs_declaration": null,
"international": false,
"customs_required": false,
"eta": null,
"inherit_weight": false,
"label_file_type": "PDF",
"label_url": null,
"live_mode": true,
"rates": [],
"selected_rate": null,
"shipping_date": 1793750400,
"status": "draft",
"tracking_number": null,
"tracking_status": null,
"tracking_url": null,
"weight": "2.0",
"weight_unit": "lb",
"carrier_parcel_template_token": null,
"from_contact": "1104bcc2-a64a-4e6c-9304-8d33ef8b7943",
"fulfillment": "9fbb9ea1-a881-471f-abdb-07e5a3b6975c",
"parcel_template": null,
"shipping_provider": "bacd03ab-c350-4d1c-a44b-b50df7179fa9",
"to_contact": "bf0b7ea7-fabe-4fa9-a9c1-c3c3962db116",
"created_at": 1793796989,
"updated_at": 1793796989
}
]
}Authorizations
Query Parameters
Was this page helpful?